import { Request, Response } from "express";
import logger from "../logger/logger";

export async function GoogleAuthCallback(req: Request, res: Response) {
  try {
    const { code } = req.query;

    if (!code) {
      return res.status(400).send({ err: "invalid request" });
    }

    logger.debug("Google auth callback with code: %s", code);

    // get access token from google

    // get user info from google

    // check if user exists in db

    // if user exists, create session

    // if user doesn't exist, create user and session

    // redirect to home page
    res.redirect("https://localhost:50127/");
  } catch (error) {
    res.status(500).send({ err: "invalid request" });
  }
}
